=== debian/changelog ===
openjdk-26 (26~22ea-2) unstable; urgency=medium

  * Revert the JDK-8351148 change, breaking zero on i386 and x32.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Oct 2025 22:43:06 +0100

openjdk-26 (26~22ea-1) unstable; urgency=medium

  * OpenJDK 26 snapshot, build 22.

  [ Vladimir Petko ]
  * d/rules: Drop jrunscript.

  [ Matthias Klose ]
  * d/rules: Adjust any_archs, hppa is unlikely to get fixed for the
    opposite stack frame growth.
  * d/rules: Run the testsuite for loong64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Oct 2025 17:52:16 +0100
