## openjdk-26 26~26ea

=== debian/changelog ===
openjdk-26 (26~26ea-1) unstable; urgency=medium

  * OpenJDK 26 snapshot, build 26.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 Nov 2025 21:24:43 +0100
