## openjdk-26 26~28ea

=== debian/changelog ===
openjdk-26 (26~28ea-1) unstable; urgency=medium

  * OpenJDK 26 snapshot, build 28.
  * d/{rules/control.in/test/control.in}: Replace dbus-x11 with dbus-
    daemon dependency. Closes: #1117100.
  * d/{control,test/control}: Regenerate.
  * d/README.{Debian,source}: Update package readme files.
  * d/rules: Use generic code to replace bundled jquery.
  * d/JB-doc.overrides.in: Drop binary package bundled jquery
    override. The override is not needed for the binary package.
  * d/s/lintian-overrides: Update jquery override override comment.
  * Update unstripped-binary-or-object override comments.
    OpenJDK needs symbols for Native Memory Tracking.
  * d/control: add myself as an uploader.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 15 Dec 2025 10:50:27 +1300
