## openjdk-26 26~30ea

=== debian/changelog ===
openjdk-26 (26~30ea-1) unstable; urgency=medium

  * OpenJDK 26 snapshot, build 30.
  * d/p/ldap-timeout-test-use-ip.patch: Refresh patch.
  * d/t/control.in: dependencies.sh test needs only jre-headless
    package, remove flaky and skippable flags.
  * d/t/control: Regenerate.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 12 Jan 2026 14:52:28 +1300
