## openjdk-26 26~32ea

=== debian/changelog ===
openjdk-26 (26~32ea-1) unstable; urgency=medium

  * OpenJDK 26 snapshot, build 32.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 25 Jan 2026 07:08:06 +0100
