=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: java
 Priority: optional
 Maintainer: OpenJDK Team <openjdk-26@packages.debian.org>
-Uploaders: Matthias Klose <doko@ubuntu.com>
+Uploaders: Matthias Klose <doko@ubuntu.com>, Vladimir Petko <vladimir.petko@canonical.com>
 Build-Depends: debhelper (>= 11),
   m4, lsb-release, zip, unzip,
   sharutils, gawk, cpio, procps, wdiff, pkgconf, fastjar (>= 2:0.96-0ubuntu2),
   time, strip-nondeterminism, debugedit (>= 4.16),
-  jtreg8 (>= 8.1+1~) <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, libasmtools-java <!nocheck>, xvfb  <!nocheck>,
+  jtreg8 (>= 8.1+1~) <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-daemon <!nocheck>, libasmtools-java <!nocheck>, xvfb  <!nocheck>,
   autoconf, automake, ant, ant-optional,
   g++-15 <!cross>,
   openjdk-25-jdk-headless:native | openjdk-26-jdk-headless:native,
@@ -142,7 +142,7 @@
 Architecture: alpha amd64 arc armel armhf arm64 i386 loong64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
 Multi-Arch: same
 Depends: openjdk-26-jdk (= ${binary:Version}),
-  build-essential, xfwm4, xvfb, dbus-x11, libatk-wrapper-java,
+  build-essential, xfwm4, xvfb, dbus-daemon, libatk-wrapper-java,
   libatk-wrapper-java-jni, jtreg8 (>= 8.1+1~), libtestng7-java,
   ${shlibs:Depends},
   ${misc:Depends}
