=== debian/tests/control ===
--- 
+++ 
@@ -17,5 +17,5 @@
 Architecture: amd64 arm64 ppc64 ppc64el riscv64 s390x alpha ia64 powerpc ppc64 sh4 x32 armel loong64 mipsel mips64el riscv64
 
 Tests: dependencies.sh
-Depends: @, build-essential, bash
-Restrictions: allow-stderr, skippable, flaky
+Depends: openjdk-26-jre-headless, build-essential, bash
+Restrictions: allow-stderr
