## openjdk-26 26~34ea

=== debian/changelog ===
openjdk-26 (26~34ea-1) unstable; urgency=medium

  * OpenJDK 26 snapshot, build 34.
  * Update VCS attributes in the control file.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Feb 2026 01:37:43 +0100
